
Redmine - Defect #13586

Circular loop testing prevents precedes/follows relation between subtasks

2013-03-25 16:18 - Carsten Schurig

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.3.1   

Resolution: Fixed Affected version: 2.3.0

Description

If I create 3 tickets

1

subticket 1a

subticket 1b

On my system I always get a circular loop error if I want to define 1b follows 1a. I'd expect that to work and that the end date of 1

would be adjusted accordingly. AFAIR it did work in older versions.

Related issues:

Related to Redmine - Defect #13654: Can't set parent issue when issue relatio... Closed

Has duplicate Redmine - Defect #13711: Issues which share the same parent can... Closed

Has duplicate Redmine - Defect #13863: Cannot link two subtasks of same task ... Closed

Associated revisions

Revision 11692 - 2013-03-26 22:31 - Jean-Philippe Lang

Fixed that r11641 prevents precedes/follows relations between subtasks (#13586).

Revision 11697 - 2013-04-03 19:04 - Jean-Philippe Lang

Merged r11692 from trunk (#13586).

History

#1 - 2013-03-26 22:14 - Jean-Philippe Lang

- Subject changed from Circular loop testing too strict to Circular loop testing prevents precedes/follows relation between subtasks

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.1

#2 - 2013-03-26 22:31 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

Fixed in r11692, thanks for pointing this out.

#3 - 2013-04-03 19:04 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
